package com.zcloud.domain.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.domain.dto.DomainDepartmentAddCmd;
import com.zcloud.domain.dto.DomainDepartmentPageQry;
import com.zcloud.domain.dto.DomainDepartmentUpdateCmd;
import com.zcloud.domain.dto.clientobject.DomainDepartmentCO;
import com.zcloud.domain.dto.clientobject.DomainDepartmentListCO;

import java.util.List;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:28:52
 */
public interface DomainDepartmentServiceI {
    PageResponse<DomainDepartmentListCO> listPage(DomainDepartmentPageQry qry);

    SingleResponse<DomainDepartmentCO> add(DomainDepartmentAddCmd cmd);

    void edit(DomainDepartmentUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    DomainDepartmentCO getInfoById(Long id);

    List<DomainDepartmentCO> listAll();
}

